# 第12章サンプルコード

## setup

紙面同様の手順で仮想環境を作成し、ライブラリをインストールしてください。

## ファイル説明

- src/samplecommand.ver1.py  紙面ステップ1段階でのサンプルコード
- src/samplecommand.ver2.py  紙面ステップ2段階でのサンプルコード
- src/samplecommand.py  紙面最終段階でのサンプルコード

## ステップ1. プログラムの実行

- `input`ディレクトリは作成済みです
- `output`ディレクトリを作成してください

```console
$ mkdir output
```

以下のコマンドで実行できます

```console
(venv) $ python src/samplecommand.ver1.py -i input -o output
```

`samplecommand.ver2.py`、`samplecommand.py`についても同様です。

## ステップ2. スナップショットテストの実行

スナップショット作成

```console
(venv) $ pytest tests/test_snapshot --snapshot-update
```

実行

```console
(venv) $ pytest tests/test_snapshot
```

## ステップ3. Line Profiler、Memory Profilerについて

実行するにはコードの変更が必要です。
手順は紙面を参照してください。
