# 第13章サンプルコード

# ファイル説明

- `python_report.ipynb`: 記事本編で解説しているデータ分析レポートのノートブック
- `python_report.html`: データ分析レポートのノートブックをHTML形式に変換したファイル
- `requirements.txt`: 記事本編で使用するパッケージを管理するファイル
- `requirements.lock`: 記事本編で使用する依存パッケージを管理するファイル
- `data/Future50.csv`: 記事本編で使用しているサンプルデータセット

# 仮想環境の作成とパッケージのインストール

```
$ python3 -m venv venv
$ source venv/bin/activate
$ pip install -r requirements.txt -c requirements.lock
```
