import numpy as np
import numpy.testing as npt
import process


def test_const_mult_identity():
    """const_mult_identityにsize=2, n=3を与えると2行2列で値が3の対角行列が得られること"""
    expected = np.array([[3, 0], [0, 3]])
    actual = process.const_mult_identity(size=2, n=3)
    npt.assert_array_equal(actual, expected)
