import random


def very_big_data():
    return [random.randint(0, 1000000) for i in range(10000)]


def very_slow_sort(lst):
    for i in range(len(lst)):
        for j in range(len(lst) - i - 1):
            if lst[j] < lst[j + 1]:
                lst[j], lst[j + 1] = lst[j + 1], lst[j]


@profile
def main():
    data = very_big_data()
    print("data created")
    very_slow_sort(data)
    print("slow sort finished")
    data = very_big_data()
    print("data created")
    data.sort()
    print("sorted")


if __name__ == "__main__":
    main()
